﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=9.07
@EndOfDesignText@
'Static code module
Sub Class_Globals
	'the vuetify instance	
	Public vuetify As VuetifyApp
	'this route page
	Public page As VueComponent
	'the path to this page
	Public path As String
	'the name of the page, should be unique
	Public name As String = "survey"
	'banano transpiler
	Private banano As BANano			'ignore
	'layout components
	Private lblHello As VLabel			'ignore
	Private VCol1 As VCol				'ignore
	Private VContainer1 As VContainer	'ignore
	Private VRow1 As VRow				'ignore
	Private btnClickMe As VBtn			'ignore
	Private VCol2 As VCol				'ignore
	Private VRow2 As VRow				'ignore
	Private frmSurvey As VFlexDialog
	Private frm As VForm
End Sub

'initializes the page and builds the html structure
Sub Initialize(v As VuetifyApp)						'ignoreDeadCode
	'establish a reference to the app
	vuetify = v
	'initialize the page using unique name
	page.Initialize(Me, name)
	'link the vuetify instance
	page.vuetify = vuetify
	'set the page title
	page.Title = "Home"
	'make this the start page
	page.StartPage
	path = page.path
	'
	'build the page html here
	banano.LoadLayout(page.Here, "surveylayout")
	frm = frmSurvey.form
	
	BuildSurvey
	
	'add this route component to the app
	vuetify.AddRoute(page)
End Sub

Sub BuildSurvey
	frmSurvey.Clear
	Build_GeneralInformation
	frmSurvey.Refresh
End Sub

Sub Build_GeneralInformation
	frmSurvey.AddLabel(1, 1, "section_general", vuetify.SIZE_H3, "Section A: General Information", True, False)
	'this gets the current GIS position when field worker checks in
	frmSurvey.AddButton(2,1, "btnCheckIn", "Check In", True, True, False, True)
	frmSurvey.AddTextField(3,1, "gis_position_lat", "Latitude", "")
	frmSurvey.AddTextField(4,1, "gis_position_lon", "Longitude", "")
	'
	Dim dwelling As Map = CreateMap()
	dwelling.Put("House", "House")
	dwelling.Put("Business", "Business")
	dwelling.Put("Flat", "Flat")
	dwelling.Put("Hostel", "Hostel")
	dwelling.Put("Empty", "Empty Plot")
	dwelling.Put("Other", "Other (Specify)")
	frmSurvey.AddRadioGroup(4,1, "dwelling_nature", "Nature of Dwelling", dwelling, "House", False)
	'
	frmSurvey.AddTextField(4,1, "other_dwelling_name", "Dwelling Name", "").SetItemMargins("other_dwelling_name", "", "", "", "2", "", "", "")
	'
	frmSurvey.AddTextField(5,1, "title", "Title", "")
	frmSurvey.AddTextField(6,1, "full_names", "Full Names", "")
	frmSurvey.AddTextField(7,1, "known_as", "Known As", "")
	frmSurvey.AddTextField(8,1, "last_name", "Last Name", "")
	frmSurvey.AddTextField(9,1, "identity_number", "Identity Number", "")
	frmSurvey.AddTextField(10,1, "nationality", "Nationality", "")
	'
	Dim gender As Map = CreateMap()
	gender.Put("Male", "Male")
	gender.Put("Female", "Female")
	gender.Put("Other", "Other")
	frmSurvey.AddRadioGroup(11,1, "gender", "Gender", gender, "Owner", False)
	'
	Dim opt1 As Map = CreateMap()
	opt1.Put("Owner", "Owner")
	opt1.Put("Tenant", "Tenant")
	opt1.Put("Children", "Children")
	frmSurvey.AddRadioGroup(12,1, "type_of_resident", "Type of Resident", opt1, "Owner", False)
	
	frmSurvey.AddTelephone(13,1, "contact_number", "Contact Cell Number", "")
	frmSurvey.AddTelephone(14,1, "alternative_number", "Alternative Cell Number", "")
	frmSurvey.AddTelephone(15,1, "home_telephone", "Home Contact Number", "")
	frmSurvey.AddEmail(16,1, "email_address", "Email Address", "")
	'
	frmSurvey.AddTelephone(17,1, "total_family_members", "Total Family Members Living Here", "")
	frmSurvey.AddTelephone(18,1, "family_members_working", "Total Family Members Working", "")
	frmSurvey.AddTelephone(19,1, "family_members_pensioners", "Total Pensioners Living Here", "")
	'
	Dim employment As Map = CreateMap()
	employment.Put("Employed", "Employed")
	employment.Put("Self", "Self Employed")
	employment.Put("Pensioner", "Pensioner")
	employment.Put("None", "Not Employed")
	frmSurvey.AddRadioGroup(20,1, "type_of_employment", "Type of Employment", employment, "Employed", False)
	frmSurvey.AddTextField(21,1, "name_of_employer", "Name of Employer", "")
	frmSurvey.AddTextField(22,1, "employer_contact_person", "Contact Person", "")
	frmSurvey.AddTelephone(23,1, "employer_contact_number", "Contact Person's Number", "")
	frmSurvey.AddTelephone(24,1, "work_telephone_number", "Your Work Telephone Number", "")
	frmSurvey.AddTelephone(25,1, "work_fax_number", "Your Work Fax Number", "")
	frmSurvey.AddEmail(26,1, "work_email_address", "Your Work Email Address", "")
	'
	Dim income As Map = CreateMap()
	income.Put("1k", "R300 - R1.000")
	income.Put("5k", "R1.001 - R5.000")
	income.Put("10k", "R5.001 - R10.000")
	income.Put("20k", "R10.001 - R20.000")
	income.Put("20p", "R20.001 and above")
	frmSurvey.AddRadioGroup(27,1, "household_income", "Total Household Income", income, "1k", False)
	'
	frmSurvey.AddTextField(28,1, "next_of_kin", "Next of Kin", "")
	frmSurvey.AddTextField(29,1, "next_of_kin_relationship", "Relationship", "")
	frmSurvey.AddTelephone(30,1, "next_of_kin_number", "Contact Number", "")
	frmSurvey.AddEmail(31,1, "next_of_kin_email", "Email Address", "")
	
'	frmSurvey.AddTextField(3,1, "house_number", "Property Number / House Number", "")
'	frmSurvey.AddTextField(4,1, "street_name", "Street Name", "")
	
End Sub


Sub beforeEnter(boTo As Map, boFrom As Map, boNext As BANanoObject)   'ignoreDeadCode
	vuetify.Loading(True)
	'the page we are going to
	'vuetify.SaveRoute(boTo, False)
	'check authentication
	'If vuetify.Authenticated = False Then
	'user is not authenticated, go to login page
	'	vuetify.NavigateToNext(boNext, "login")
	'	Return
	'End If
	'continue navigation
	vuetify.NavigateToNext(boNext, "")
	'update the page title
	vuetify.SetBrowserTitle(boTo)
End Sub

Private Sub btnClickMe_Click (e As BANanoEvent)
	vuetify.ShowSwalSuccess("You clicked me!")
End Sub

'Use beforeDestroy if you need to clean-up events or reactive subscriptions:	
'Sub beforedestroy		'ignoreDeadCode
'	Log("beforedestroy")
'End Sub

'The updated hook runs after data changes on your component and the DOM re-renders.
'Sub updated			'ignoreDeadCode
'	Log("updated")
'End Sub

'The beforeUpdate hook runs after data changes on your component and the update cycle begins, right before the DOM is patched and re-rendered.
'Sub beforeupdate		'ignoreDeadCode
'	Log("beforeupdate")
'End Sub

'The beforeMount hook runs right before the initial render happens and after the template or render functions have been compiled:
'Sub beforemount		'ignoreDeadCode
'	Log("beforemount")
'End Sub

'The beforeCreate hook runs at the very initialization of your component. data has not been made reactive, and events have not been set up yet
'Sub beforecreate		'ignoreDeadCode
'	Log("beforecreate")
'End Sub

'You are able to access reactive data and events that are active with the created hook.
'Templates and Virtual DOM have not yet been mounted or rendered:
'Sub created		'IgnoreDeadCode
'	Log("created")
'End Sub

'In the mounted hook, you will have full access to the reactive component, templates, and rendered DOM
Sub mounted		'ignoreDeadCode
	vuetify.Loading(False)
End Sub

'Use destroyed if you need do any last-minute cleanup or inform a remote server that the component was destroyed:
'Sub destroyed		'ignoreDeadCode
'	Log("destroyed")
'End Sub

Private Sub frmSurvey_Yes_Click (e As BANanoEvent)
	
End Sub

Private Sub frmSurvey_No_Click (e As BANanoEvent)
	
End Sub

Private Sub frmSurvey_Cancel_Click (e As BANanoEvent)
	
End Sub